Subject: Re: Zero padding
From: Mark Nottingham <[email-masked]>
To: Martin Thomson <[email-masked]>, HTTP Working Group <[email-masked]>
Cc: Sean Turner <[email-masked]>, "Joseph Salowey (jsalowey)" <[email-masked]>
Date: Wed, 24 Sep 2014 11:26:32 +0100
List-Id: <ietf-http-wg.w3.org>

Seems reasonable to me. Any further comment - especially (but not exclusively) from the TLS community?

Regards,

On 23 Sep 2014, at 5:43 pm, Martin Thomson <[email-masked]> wrote:

> Regarding https://github.com/http2/http2-spec/issues/602
> 
> I draw your attention to
> http://tools.ietf.org/html/draft-agl-tls-padding-03#section-3, which
> makes the same requirements on padding that the current draft does:
> that is, must be zero, no requirements to enforce this at the receiver
> (though servers MAY validate this, which is as effective as a MUST in
> ensuring compliance).  I hold that Adam and the numerous reviewers of
> this draft from the TLS community collectively know more about this
> than I could ever hope to, and suggest that we defer to their
> collective judgment.
> 
> I would like to close issue #602 with the single change included in
> the following PR:
> https://github.com/http2/http2-spec/pull/617
> 

--
Mark Nottingham   http://www.mnot.net/